
from django.shortcuts import render
from django.http import HttpResponse

def home_view(request):
    message = "<h1>Welcome to Cookies Home Page</h1>"
    return HttpResponse(message)


def test_cookie_view(request):
    if request.COOKIES.get('color'):
        response = HttpResponse("<h1>Your favorite color is : {}</h1>".format(request.COOKIES.get('color')))
        return response
    else:
        response = HttpResponse("<h1>Cookie is created now successfully!</h1>")
        response.set_cookie('color', 'blue')
        return response

def delete_cookie_view(request):
    if request.COOKIES.get('color'):
        response = HttpResponse("<h1>Cookie name color is deleted successfully!</h1>")
        response.delete_cookie('color')
        return response
    else:
        response = HttpResponse("<h1>Cookie name color is not available now!</h1>")
        return response


def count_cookie_view(request):
    if request.COOKIES.get('visits'):
        visits = int(request.COOKIES.get('visits')) + 1  # 2
        response = HttpResponse("<h1>This is your {} request.</h1>".format(visits))
        response.set_cookie('visits', str(visits))
        return response
    else:
        response = HttpResponse("<h1>This is your first request to this website.<br>Next time onwords we will track you!</h1>")
        response.set_cookie('visits', '1')
        return response

def persisstence_cookie_view(request):
    if  request.COOKIES.get('username'):
        response = HttpResponse(f"<h1>Username is : {request.COOKIES.get('username')} </h1>")

        # response = HttpResponse("Username is : {}".format(request.COOKIES.get('username')))
        return response

    else:
        response = HttpResponse("<h1>Persistence Cookie is created now successfully!</h1>")
        response.set_cookie('username', "Virat", max_age=60)
        return response








































