
from django.shortcuts import render
from django.http import HttpResponse

def home_view(request):
    message = "<h1>Welcome to Session Home Page</h1>"
    return HttpResponse(message)

def create_session_view(request):
    if request.session.test_cookie_worked():
        response = HttpResponse("<h1>Session value is already available</h1>")
        return response
    else:
        request.session.set_test_cookie()
        response = HttpResponse("<h1>Session value is created successfully!</h1>")
        return response

def delete_session_view(request):
    if request.session.test_cookie_worked():
        request.session.delete_test_cookie()
        response = HttpResponse("<h1>Session value is deleted successfully!</h1>")
        return response
    else:
        response = HttpResponse("<h1>Session value is already deleted.</h1>")
        return response

def create_session_data_view(request):
    request.session["eno"] = 101
    request.session["ename"] = "Rohit"
    request.session["salary"] = 10000
    request.session["language"] = 'Python'
    response = HttpResponse("<h1>Session Data  is created in server side successfully!</h1>")
    return response

def access_session_data_view(request):
    response = ""
    if request.session.get("eno"):
        response = response + "<h1>Employee Number is {}<br>".format(request.session.get("eno"))

    if request.session.get("ename"):
        response = response + "Employee Name is {}<br>".format(request.session.ge('ename'))

    if request.session.get("salary"):
        response = response + "Employee Salary is {}<br>".format(request.session.get('salary'))

    if request.session.get("language"):
        response = response + "Employee Language is {}</h1>".format(request.session.get('language'))

    if response == "":
        response = "<h1>Session Data is not available to accesss!</h1>"
        return HttpResponse(response)
    else:
        return HttpResponse(response)


def delete_session_data_view(request):
    if request.session.get("eno"):
        del request.session["eno"]

    if request.session.get("ename"):
        del request.session["ename"]

    if request.session.get("salary"):
        del request.session["salary"]

    if request.session.get("language"):
        del request.session["language"]

    return HttpResponse("Data deleted successfull!")











